> For the complete documentation index, see [llms.txt](https://docs.notional.finance/v3-technical-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.notional.finance/v3-technical-docs/contract-interaction-guides/governance-parameters.md).

# Governance parameters

## fCash Interest Rate Models

<pre><code># Fetch Notional's fDAI Interest Rate Models.
<strong>fCashInterestRateCurves = notional.getInterestRateCurve(1)['activeInterestRateCurve']
</strong>interestRateCurve3M = fCashInterestRateCurves[0]
interestRateCurve6M = fCashInterestRateCurves[1] 
</code></pre>

## Collateral Haircut & Buffers

```
# Fetch Notional's USDC collateral haircut.
usdcCollateralHaircut = notional.getRateStorage(3)["ethRate"]["haircut"]/100

# Fetch Notional's USDC debt buffer.
usdcDebtBuffer = notional.getRateStorage(3)["ethRate"]["buffer"]/100
```

## Liquidation Discount Parameters

```
# Fetch Notional's USDC Liquidation Discount.
notional.getRateStorage(3)["ethRate"]["liquidationDiscount"]/100 - 1
```

## fCash Risk Adjustments Parameters

```
# Fetch the fcash haircuts and debt buffers rate adjustment that are made to the oracles rates:
notional.getCashGroup(currencyId)["debtBuffer25BPS"]
notional.getCashGroup(currencyId)["fCashHaircut25BPS"]

# Fetch the fCash liquidation discounts given to fCash liquidators.
notional.getCashGroup(currencyId)["liquidationDebtBuffer25BPS"]
notional.getCashGroup(currencyId)["liquidationfCashHaircut25BPS"]

# Fetch the minimum oracle rate at which negative fCash can be discounted 
# and the maximum oracle rate at which positive fCash can be discounted.
notional.getCashGroup(currencyId)["minOracleRate25BPS"]
notional.getCashGroup(currencyId)["maxOracleRate25BPS"]

# Fetch the maximum fCash discount factor. 1 - maxDiscountFactor is the min fCash PV of positive fCash assets.
notional.getCashGroup(currencyId)["maxDiscountFactor5BPS"]
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.notional.finance/v3-technical-docs/contract-interaction-guides/governance-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
